For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
      • POSTCreate diagnosis
      • PATCHUpdate diagnosis
      • DELDelete diagnosis
Contact Sales
LogoLogo
API ReferenceDiagnoses

Update diagnosis

PATCH
/api/diagnoses/v2/:diagnosis_id
PATCH
/api/diagnoses/v2/:diagnosis_id
$curl -X PATCH https://api.joincandidhealth.com/api/diagnoses/v2/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": "code",
3 "code_type": "ABF",
4 "created_at": "2024-01-15T09:30:00Z",
5 "diagnosis_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
6 "encounter_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
7 "updated_at": "2024-01-15T09:30:00Z",
8 "name": "name",
9 "present_on_admission_indicator": "YES"
10}

Updates the diagnosis record matching the provided diagnosis_id

Was this page helpful?
Previous

Delete diagnosis

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

diagnosis_idUUIDRequired

Request

This endpoint expects an object.
namestringOptional
Empty string not allowed.
code_typeenumOptional
Typically, providers submitting claims to Candid are using ICD-10 diagnosis codes. If you are using ICD-10 codes, the primary diagnosis code listed on the claim should use the ABK code_type. If more than one diagnosis is being submitted on a claim, please use ABF for the rest of the listed diagnoses. If you are using ICD-9 diagnosis codes, use BK and BF for the principal and following diagnosis code(s) respectively.
codestringOptional
Empty string not allowed. Should be of the appropriate format for the provided `code_type`. Must obey the ICD-10 format if an ICD-10 code_type is provided, specifically: - Letter - Digit - Digit or the letter `A` or `B` - (Optional) Period `.` - Up to 4 (or as few as 0) letters and digits
present_on_admission_indicatorenumOptionalBeta
For Institutional claims only. A "Y" indicates that the onset occurred prior to admission to the hospital. An "N" indicates that the onset did NOT occur prior to admission to the hospital. A "U" indicates that it is unknown whether the onset occurred prior to admission to the hospital or not.
Allowed values:

Response

This endpoint returns an object.
codestring

Empty string not allowed. Should be of the appropriate format for the provided code_type. Must obey the ICD-10 format if an ICD-10 code_type is provided, specifically:

  • Letter
  • Digit
  • Digit or the letter A or B
  • (Optional) Period .
  • Up to 4 (or as few as 0) letters and digits
code_typeenum

Typically, providers submitting claims to Candid are using ICD-10 diagnosis codes. If you are using ICD-10 codes, the primary diagnosis code listed on the claim should use the ABK code_type. If more than one diagnosis is being submitted on a claim, please use ABF for the rest of the listed diagnoses. If you are using ICD-9 diagnosis codes, use BK and BF for the principal and following diagnosis code(s) respectively.

created_atdatetime
diagnosis_idUUID
encounter_idUUID
updated_atdatetime
namestring
Empty string not allowed.
present_on_admission_indicatorenumBeta
For Institutional claims only. A "Y" indicates that the onset occurred prior to admission to the hospital. An "N" indicates that the onset did NOT occur prior to admission to the hospital. A "U" indicates that it is unknown whether the onset occurred prior to admission to the hospital or not.
Allowed values:

Errors

404
Diagnosis Not Found HTTP Error
422
Disallow Multiple Primary Diagnosis HTTP Error

Typically, providers submitting claims to Candid are using ICD-10 diagnosis codes. If you are using ICD-10 codes, the primary diagnosis code listed on the claim should use the ABK code_type. If more than one diagnosis is being submitted on a claim, please use ABF for the rest of the listed diagnoses. If you are using ICD-9 diagnosis codes, use BK and BF for the principal and following diagnosis code(s) respectively.

Empty string not allowed. Should be of the appropriate format for the provided code_type. Must obey the ICD-10 format if an ICD-10 code_type is provided, specifically:

  • Letter
  • Digit
  • Digit or the letter A or B
  • (Optional) Period .
  • Up to 4 (or as few as 0) letters and digits